"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports._setUnderlyingServer = exports.getUnderlyingServer = void 0;
const underlyingServerKey = Symbol("real-server");
/**
 * @public
 */
async function getUnderlyingServer(server) {
    const getListener = server[underlyingServerKey];
    if (!getListener)
        throw new Error("The provided server does not have an underlying http or https server implementation");
    return getListener();
}
exports.getUnderlyingServer = getUnderlyingServer;
/**
 * @internal
 */
function _setUnderlyingServer(server, getter) {
    ;
    server[underlyingServerKey] = getter;
}
exports._setUnderlyingServer = _setUnderlyingServer;
//# sourceMappingURL=injectors.js.map