/// <reference types="node" />
/// <reference types="node" />
/// <reference types="node" />
import type { ILoggerComponent } from "@well-known-components/interfaces";
import http from "http";
import https from "https";
import type { Duplex } from "stream";
type Socket = Duplex & {
    server?: http.Server | https.Server;
};
export type HttpTerminatorConfigurationInput = {
    gracefulTerminationTimeout: number;
};
export declare function createServerTerminator(server: http.Server | https.Server, components: {
    logger: ILoggerComponent.ILogger;
}, configurationInput: Partial<HttpTerminatorConfigurationInput>): {
    secureSockets: Set<Socket>;
    sockets: Set<Socket>;
    terminate: () => Promise<void>;
};
export {};
