import type { IHttpServerComponent } from "@well-known-components/interfaces";
import { IFetchComponent } from "@well-known-components/interfaces";
/** @alpha */
export type IWebSocketComponent<W = WebSocket> = {
    createWebSocket(url: string, protocols?: string | string[]): W;
};
/** @public */
export type ITestHttpServerComponent<Context extends object> = IHttpServerComponent<Context> & IFetchComponent & {
    resetMiddlewares(): void;
};
/**
 * @alpha
 */
export type TestServerWithWs = {
    ws(path: string, protocols: string | string[]): WebSocket;
};
/**
 * Creates a http-server component for tests
 * @public
 */
export declare function createTestServerComponent<Context extends object = {}>(): ITestHttpServerComponent<Context>;
