import { IConfigComponent, IHttpServerComponent, ILoggerComponent } from '@well-known-components/interfaces';
import { Router } from '.';
export type TestServerAppContext<OtherComponents> = {
    components: TestServerComponents<OtherComponents>;
};
export type TestServerComponents<OtherComponents> = {
    logs: ILoggerComponent;
    config: IConfigComponent;
    server: IHttpServerComponent<TestServerAppContext<OtherComponents>>;
    router: Router<TestServerAppContext<OtherComponents>>;
    getBaseUrl: () => Promise<string>;
    getUrl: (url: string) => Promise<string>;
};
/**
 * Wires together the server and router. Also logs every request that is handled in the process.
 */
export declare function wireTestServerComponents<T>(context: TestServerAppContext<T>): Promise<void>;
/**
 * Creates a test server and returns all the components and helpers
 */
export declare function initTestServerComponents(): Promise<TestServerComponents<any>>;
